---
updatedAt: 2026-09-29T11:01:02.000Z
agentTools:
  projectIndex: https://docs.wati.io/llms.txt
---

# Introduction

Start integrating with the WATI API for messaging, contacts, automation, and workspace operations.

**Wati** is the ultimate WhatsApp management tool for your business.

By providing the following key features, Wati enables your team to:

* Connect with customers in real-time without sharing devices or switching tools
* Access 2 Billion+ WhatsApp users
* Send broadcasts via WhatsApp to targeted customers
* Manage concurrent customer messages with a unified inbox
* Get data-driven insights

Please keep in mind that the APIs described in this doc complement the use of the Wati user interface.

## API versions

WATI offers two API versions:

* **API V3** (recommended) — Use this for all new integrations. Endpoints use the `/api/ext/v3/...` path.
* **API V1** (legacy) — The older API, still available but not recommended for new projects. Some endpoints in this spec use an `/api/v2/...` path — these are updated variants within V1, not a separate API version.

Both versions are documented in the sidebar under their respective sections.

## API base URL and tenant routing

Use `https://live-mt-server.wati.io` as the API host.

* **V3:** `https://live-mt-server.wati.io/api/ext/v3/...` — do not add a tenant ID to the path.
* **Legacy V1/V2:** `https://live-mt-server.wati.io/{tenantId}/api/v1/...` or `https://live-mt-server.wati.io/{tenantId}/api/v2/...` — replace `{tenantId}` with your WATI workspace (tenant) ID.

`tenantId` identifies the WATI workspace for a legacy request; it is not a phone number. Each legacy endpoint declares it as a required path parameter.

<br />

![](https://files.readme.io/45932a4-Screenshot_2020-07-06_at_11.18.03.png "Screenshot 2020-07-06 at 11.18.03.png")

The WATI navigation bar contains the following tabs:

* **Dashboard**: displays real-time statistical information.
* **Broadcast**: schedule, trigger and monitor broadcast template messages.
* **Contacts**: list of contacts and contact management (add, remove, update existing contacts).
* **Team Inbox**: collaboration on chats.
* **Automation**: Set up some keywords for a bot to auto-reply, and set up some rules to trigger template messages eg: non-office hours, expired, waiting, etc.

**Group Demo**\
The Wati team delivers a group demo twice a week. Please feel free to attend them if you are looking to integrate WhatsApp/WATI with your own system using APIs and Webhooks.

<Embed url="https://calendly.com/d/5hj-ckq-m34?utm_source=API_helpdocs&utm_medium=readme_popup&utm_campaign=readme_routing_form" href="https://calendly.com/d/5hj-ckq-m34?utm_source=API_helpdocs&utm_medium=readme_popup&utm_campaign=readme_routing_form" typeOfEmbed="iframe" height="770px" width="100%" iframe="true" html="false" />